$( document ).ready(async function() {
    ProfileGroupsModule.load_states();
});

ProfileGroupsModule = ( function() {
    let load_states = async function(){
        $.ajax({
            type: "GET",
            url: "/api/groups/states",
            contentType: 'application/json',
            timeout: 3000,
            error: function () {
                alert("Es ist ein Fehler aufgetreten!");
            },
            success: async function (data) {
                if (is_ok(data)) {
                    console.log(data);

                    $(".group_entry").each(function(){
                        let entry = $(this);
                        if(entry.data("state")){
                           $.each(data, function(index, value){
                               if(value.state_id === entry.data("state")){
                                    console.log(value.name);
                                    entry.html(entry.html() + ": " + value.name);
                               }
                           });
                       }
                    });
                }
            }
        });
    }
    return{
        load_states: load_states,
    }
}());