use crate::schema::*;

#[derive(Queryable, Clone, Deserialize, Serialize, AsChangeset, Insertable)]
#[table_name = "event_organisers"]
#[changeset_options(treat_none_as_null = "true")]
#[primary_key(entity_id)]
pub struct Organiser{
    pub(crate) entity_id: uuid::Uuid,
    pub(crate) company: Option<String>,
    pub(crate) firstname: Option<String>,
    pub(crate) lastname: Option<String>,
    pub(crate) phone: Option<String>,
    pub(crate) email: Option<String>,
    pub(crate) other: Option<String>,
}