use crate::schema::permissions;

#[derive(AsChangeset, Queryable, Clone, Deserialize, Serialize, Insertable)]
#[table_name = "permissions"]
#[primary_key(permission)]
pub struct Permission{
    pub permission: String,
    pub description: Option<String>,
    pub context: bool,
    pub context_type: Option<String>,
}